Configuration & Administration

Expand all | Collapse all

Support for LDAP Authentication on Zenoss Core 6

  • 1.  Support for LDAP Authentication on Zenoss Core 6

    Posted 04-11-2020 05:55 PM
    We are running Zenoss Core 6.2.1 and would like to add LDAP Authentication.

    There is a doc on how to do this for Zenoss 5, but I'm not sure if it will work on Zenoss 6. There is a forum posting from another user who wasn't able to get it working on Zenoss 5.

    Enabling LDAP Authentication in Zenoss Core 5http://wiki.zenoss.org/Enabling_LDAP_Authentication_in_Zenoss_Core_5

    Has anyone been able to enable LDAP authentication on Zenoss 6? If so, then does the linked procedure work?

    Thanks in advance,

    ------------------------------
    Larry
    ------------------------------


  • 2.  RE: Support for LDAP Authentication on Zenoss Core 6

    Posted 05-06-2020 01:00 PM
    Yes, from what I remember those linked instructions work for 6. I have it working on 6.3.2 at the moment. Every once in a while I try and login and it says my sessions has expired and It won't let me login with any LDAP account. Then I just restart zope in Control Center and it works again.

    ------------------------------
    FirstName LastName
    CompanyName
    ------------------------------



  • 3.  RE: Support for LDAP Authentication on Zenoss Core 6

    Posted 08-12-2020 03:16 AM
    Edited by silvije 08-12-2020 03:16 AM
    after both
    easy_install Products.LDAPUserFolder
    and
    easy_install Products.LDAPMultiPlugins

    this is the error I got:

    error: zope.interface 3.6.7 is installed but zope.interface>=3.8 is required by set(['Zope'])

    ------------------------------
    silvije
    ------------------------------